aboutsummaryrefslogtreecommitdiffstats
path: root/chapter6/coreutils.sh
diff options
context:
space:
mode:
Diffstat (limited to 'chapter6/coreutils.sh')
-rw-r--r--chapter6/coreutils.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/chapter6/coreutils.sh b/chapter6/coreutils.sh
index 536fa52..86eaf5f 100644
--- a/chapter6/coreutils.sh
+++ b/chapter6/coreutils.sh
@@ -1,4 +1,9 @@
#!/bin/bash
+set -e
+
+if [[ "$(uname -m)" = aarch64 ]]; then
+ patch -Np1 -i ../coreutils-"${VERSION}"-aarch64_fixes-1.patch
+fi
./configure --prefix=/usr \
--host="${LFS_TGT}" \